/* Simple inode in use dumper */

#include <mintbind.h>
#include <stdio.h>


#define LSIZE 1024

struct
{
	long limit;
	unsigned short lst[LSIZE];
} fl;

main(argc,argv)
int argc;
char **argv;
{

	long i;
	fl.limit=LSIZE;
	printf("Returned %ld Inodes in use:\n",Dcntl(0x10e,argv[1],&fl));
	for(i=0;i<LSIZE && fl.lst[i];i++) printf("%u\n",fl.lst[i]);
	exit(0);
}
